
/* modal algemeen */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 2000;
    justify-content: center;
    align-items: center;
}
.modal-content {
    background: var(--background-light);
    padding: 20px;
    width: 50%;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.modal-content .container {
    width: 90%;
    margin: 10px auto;
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-height: 80vh;
    overflow-y: auto;
}
.modal-content h2 {
    margin-bottom: 20px;
    color: black;
}
.modal-content button {
    margin: 5px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border: none;
    border-radius: 5px;
    background-color: var(--background-main);
    color: var(--White);
    transition: background-color 0.3s;
} 
.modal-content button:hover {
    background-color: var(--background-extra-dark);
}
.setting-item {
    margin-bottom: 20px;
}
.setting-item label {
    display: block;
    margin-bottom: 5px;
}
.setting-item input,
.setting-item select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid var(--background-light);
    border-radius: 5px;
}

select option {
    font-size: 2rem; /* of bijvoorbeeld 1em */
}


/* Shutdown menu */
#shutdown-modal .modal-content {
    background: var(--background-light);
    padding: 10px;
    width: 40%;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
#shutdown-modal .modal-content .container {
    width: 90%;
    margin: 10px auto;
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-height: 80vh;
    overflow-y: auto;
}
#shutdown-modal .setting-item {
    margin-top: auto;
    margin-bottom: auto;
    padding: 0;
}


/* Helderheidinstelling */
#brightnessSlider, #volumeSlider {
    width: 70%; /* De breedte van de slider wordt 70% van de container */
    margin-top: 10px; /* Optioneel, voor wat ruimte tussen de titel en de slider */
    -webkit-appearance: none; /* Verwijdert de standaard styling in sommige browsers */
    appearance: none; /* Verwijdert de standaard styling */
    border-radius: 10px; /* Maak de hoeken van de slider mooi afgerond */
    height: 12px; /* Verhoog de hoogte voor een luxere uitstraling */
    background: linear-gradient(90deg, var(--background-main) 0%, var(--background-main) 100%); /* Subtiel kleurverloop */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15); /* Voeg een schaduw toe voor diepte */
}
#brightnessSlider::-webkit-slider-runnable-track, #volumeSlider::-webkit-slider-runnable-track {
    width: 100%;
    height: 8px;
    background: var(--background-main);
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Voeg subtiele schaduwen toe */
}
#brightnessSlider::-webkit-slider-thumb, #volumeSlider::-webkit-slider-thumb {
    -webkit-appearance: none; /* Verwijdert de standaard schuifknop styling */
    appearance: none;
    width: 24px;
    height: 24px;
    background: var(--background-main); /* Dezelfde kleur als de slider track */
    border-radius: 50%; /* Maak de schuifknop rond */
    border: 2px solid rgba(255, 255, 255, 0.6); /* Lichte rand voor extra luxe effect */
    cursor: pointer;
    transition: all 0.3s ease; /* Voeg een overgang toe voor een vloeiendere interactie */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Voeg schaduw toe voor diepte */
    transform: translateY(-7.5px); /* Verplaatst de schuifknop iets omhoog */
}
#brightnessSlider::-webkit-slider-thumb:hover, #volumeSlider::-webkit-slider-thumb:hover {
    background: rgba(255, 255, 255, 0.8); /* Verandert de kleur als de gebruiker erover hovert */
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3); /* Versterk de schaduw */
}
#brightnessSlider::-moz-range-track, #volumeSlider::-moz-range-track {
    width: 100%;
    height: 8px;
    background: var(--background-main);
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Voeg subtiele schaduwen toe */
}
#brightnessSlider::-moz-range-thumb, #volumeSlider::-moz-range-thumb {
    width: 24px;
    height: 24px;
    background: var(--background-main);
    border-radius: 50%;
    border: 2px solid rgba(255, 255, 255, 0.6); /* Lichte rand voor extra luxe effect */
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transform: translateY(-3px); /* Verplaatst de schuifknop iets omhoog */
}
#brightnessSlider::-ms-track, #volumeSlider::-ms-track {
    width: 100%;
    height: 8px;
    background: var(--background-main);
    border-radius: 5px;
    border-color: transparent;
    border-width: 0;
    color: transparent;
}
#brightnessSlider::-ms-thumb, #volumeSlider::-ms-thumb {
    width: 24px;
    height: 24px;
    background: var(--background-main);
    border-radius: 50%;
    border: 2px solid rgba(255, 255, 255, 0.6); /* Lichte rand voor extra luxe effect */
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transform: translateY(-3px); /* Verplaatst de schuifknop iets omhoog */
}
#password-form label{
    color: var(--white);
}
#settings-modal p{
color: var(--white);
font-size: 12px;
}


/* Geadvanceerde instellingen */
.advanced-settings {
    display: none;
}
#save-button:disabled {
    border: 1px solid red;
}


/* singaal menu */
#signal-settings-modal .modal-content {
    background: var(--background-light);
    padding: 10px;
    width: 80%;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);

}
#signal-settings-modal .modal-content .container {
    display: flex;
    justify-content: space-between; /* Zorgt ervoor dat de items gelijk verdeeld worden */
    flex-direction: row;
    width: 90%;
    margin: 10px auto;
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-height: 80vh;
    overflow-y: auto;
    gap: 20px;
    align-items: flex-start;
}
#signal-settings-modal .modal-content .container > div {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-start; 
}
.setting-item .network-item,
.setting-item .signal-item {
    position: relative;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    border-radius: 5px;
}
.setting-item .remove-network,
.setting-item .remove-signal{
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 20px;
    color: red;
    cursor: pointer;
}
.setting-item .remove-network:hover,
.setting-item .remove-signal:hover{
    color: darkred; 
}
.setting-item.network-list,
.setting-item.signal-list {
    margin-top: 10px;
}


/* Netwerk menu */
.network-ip-container {
    display: flex;
    align-items: center;
    gap: 5px; /* Tussenruimte tussen de invoervakken */
}
.network-ip, .network-port {
    width: 30px;
    text-align: center;
}
.network-port {
    width: 30px; /* Extra breedte voor poort */
}



/* IP menu */
.dhcp-checkbox {
    transform: scale(1.5);
}
#IP-settings-modal .modal-content {
    background: var(--background-light);
    padding: 10px;
    width: 90%;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);

}
#IP-settings-modal .modal-content .container {
    display: flex;
    justify-content: space-between; /* Zorgt ervoor dat de items gelijk verdeeld worden */
    flex-direction: row;
    width: 90%;
    margin: 10px auto;
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-height: 80vh;
    overflow-y: auto;
    gap: 20px;
    align-items: flex-start;
}
#IP-settings-modal .modal-content .container > div {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-start; 
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    border-radius: 5px;
    padding: 10px;
}


/*Toggle knop */
.setting-item .toggle {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
}
.setting-item .toggle p {
    font-size: 14px;
    font-weight: 400;
    padding-left:  10px;
    padding-right: 10px;
}
.switch {
        position: relative;
        display: inline-block;
        width: 34px;
        height: 20px;
}
.switch input {
        opacity: 0;
        width: 0;
        height: 0;
}
.slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: var(--background-light);
        transition: 0.4s;
        border-radius: 34px;
}
.slider:before {
        position: absolute;
        content: "";
        height: 12px;
        width: 12px;
        border-radius: 50%;
        left: 4px;
        bottom: 4px;
        background-color: var(--background-main);
        transition: 0.4s;
}
input:checked + .slider {
        background-color: var(--background-light);
}
input:checked + .slider:before {
        transform: translateX(14px);
}


/* Verberg de pijltjes in Webkit-browsers (Chrome, Safari) */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type="number"] {
    appearance: textfield;
}











